> For the complete documentation index, see [llms.txt](https://docs.archisketch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.archisketch.com/guide/dev-en/api-sdk/api/authentication.md).

# Authentication

## OAuth SSO Login

> Performs SSO login using Client Credentials.

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"Authentication"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[],"paths":{"/api/v1/oauth/login":{"post":{"tags":["Authentication"],"summary":"OAuth SSO Login","description":"Performs SSO login using Client Credentials.","operationId":"ssoLogin","requestBody":{"description":"SSO login request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginRequest"}}},"required":true},"responses":{"200":{"description":"All responses return 200 (including success and failure) (5xx is exposed only in error conditions)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseOAuthResponse"}}}}}}}}}
```
